# Gimp.enum_set_value_descriptions

    @accepts(GType, Gimp.EnumDesc)
    @returns(none)
    def enum_set_value_descriptions(enum_type, descriptions):
        # Python wrapper for gimp_enum_set_value_descriptions()

Sets the array of human readable and translatable descriptions and help texts for enum values.

Since 2.2

enum_type

  a GLib.Type

descriptions

  a None terminated constant static array of Gimp.EnumDesc